lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master 2fc7bcf3 1/2: Run 'git remote' only in a git


From: Greg Chicares
Subject: [lmi-commits] [lmi] master 2fc7bcf3 1/2: Run 'git remote' only in a git directory
Date: Tue, 31 Jan 2023 07:12:57 -0500 (EST)

branch: master
commit 2fc7bcf38c88ba3d633e5eb50e44fcf747123d8f
Author: Gregory W. Chicares <gchicares@sbcglobal.net>
Commit: Gregory W. Chicares <gchicares@sbcglobal.net>

    Run 'git remote' only in a git directory
---
 lmi_setup_43.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lmi_setup_43.sh b/lmi_setup_43.sh
index f7546b1a..973c4fb2 100755
--- a/lmi_setup_43.sh
+++ b/lmi_setup_43.sh
@@ -127,13 +127,13 @@ cd free/src || { printf 'failed: cd\n'; exit 3; }
 git clone git://git.savannah.nongnu.org/lmi.git \
   || git clone https://git.savannah.nongnu.org/r/lmi.git \
   || git clone https://github.com/let-me-illustrate/lmi.git
+cd lmi || { printf 'failed: cd\n'; exit 3; }
 
 if [ "greg" = "$(whoami)" ]; then
 git remote add xanadu     https://github.com/vadz/lmi.git   || echo "Oops."
 git remote add shangri-la https://github.com/thesiv/lmi.git || echo "Oops."
 fi
 
-cd lmi || { printf 'failed: cd\n'; exit 3; }
 find . -path ./.git -prune -o -type f -print0 \
   | xargs --null --max-procs="$(nproc)" --replace='{}' touch 
'--reference=/opt/lmi/src/lmi/{}' '{}'
 



reply via email to

[Prev in Thread] Current Thread [Next in Thread]